package com.njcn.csdevice.service;

import com.njcn.csdevice.param.DeviceMessageParam;
import com.njcn.csdevice.pojo.po.CsLinePO;
import com.njcn.user.pojo.po.User;

import java.util.List;

/**
 * @author xy
 */
public interface DeviceMessageService {

    List<String> getEventUserByDeviceId(String devId, Boolean isAdmin);

    List<User> getSendUserByType(DeviceMessageParam param);

    void getLineInfo(String id,List<CsLinePO> list);

}
